Zoom Update

Raj_Jenkin
New Contributor III

Hi Everyone,

I need some help with the Zoom auto-update bash script for MacBook Pro/Air M1.

 

Does anyone manage to script the Zoom auto-update?

 

Thanks!

RJ

 

1 ACCEPTED SOLUTION

greatkemo
Contributor

Hello @Raj_Jenkin 

You can give my script a try if you like, it could be found the below link.

https://github.com/greatkemo/jamfPro/blob/master/macOS/Scripts/install_zoom_us.sh 

You can also create a smart group for outdated clients using the extension attribute the below link.

https://github.com/greatkemo/jamfPro/blob/master/macOS/ExtensionAttribute/zoom_us_extension_attribut... 

Then create a policy that is ongoing to execute the update script on clients that are in the outdated smart group.

Probably will be enough to set the frequency to once per client per week, and maybe limit it to evenings or weekends.

Let me know how it works out for you.

View solution in original post

16 REPLIES 16

greatkemo
Contributor

Hello @Raj_Jenkin 

You can give my script a try if you like, it could be found the below link.

https://github.com/greatkemo/jamfPro/blob/master/macOS/Scripts/install_zoom_us.sh 

You can also create a smart group for outdated clients using the extension attribute the below link.

https://github.com/greatkemo/jamfPro/blob/master/macOS/ExtensionAttribute/zoom_us_extension_attribut... 

Then create a policy that is ongoing to execute the update script on clients that are in the outdated smart group.

Probably will be enough to set the frequency to once per client per week, and maybe limit it to evenings or weekends.

Let me know how it works out for you.

emptypony61
New Contributor III

@greatkemo I ran this script manually and under sudo it worked. When I pushed it through Self-Service it fails every time. Do I need to pass it variables? 

@emptypony61 Do you have an error in message in policy?  Also, do you have PPPCs in place to allow for bash and sh to be run by jamf binary?

Weird this morning it just started working. No changes on my end. 

Raj_Jenkin
New Contributor III

Thank You!

privatepilot
New Contributor II

Does this still work? I ran this on a Mac which is on 12.3.1 with an old version of Zoom, I get the helper pop up saying out of date and to update, but then it just ends the scripts, with this output;

privatepilot_0-1650990535425.png

 

You have to uninstall the exist zoom and then run the script. It installs the ZoomIT.pkg which is the Zoom for IT. It is a different version of the client than the downloaded client. 

Thanks for the quick response, so if I understand. The script wont do anything if the end point has the downloaded client and not the ZoomIT Client? But if it has the ZoomIT client it will work as normal?

 

Also, I am seeing this error within Policy logs;

2022-04-27 13:57:36.260 jamfHelper[41363:1706814] XType: com.apple.fonts is not accessible. 2022-04-27 13:57:36.260 jamfHelper[41363:1706814] XType: XTFontStaticRegistry is enabled.

 

Any ideas?

Chris-Noboa2301
New Contributor

This is what I am currently seeing in the Log details of the script in JAMF.

Script result: Info: Latest version:
Info: Installed version: 5.11.6.9890

Info: Zoom is not up-to-update

Info: Checking if zoom.us is running

Info: zoom.us is running

Info: Checking if a zoom meeting is in progress

Info: There are no zoom meetings in progress

Info: Zoom is installed, not up-to-date, running, no meetings in progress. 2022-08-25 13:34:28.702 jamfHelper[11122:1687383] XType: com.apple.fonts is not accessible. 2022-08-25 13:34:28.702 jamfHelper[11122:1687383] XType: XTFontStaticRegistry is enabled

Also, If the user clicks on Update does it close out the application? 

karthikeyan_mac
Contributor III

@greatkemo Your script was working till last version. Thank you for sharing it. 

 ZOOM_LATEST_VERSION in the script returns blank last few days. I think Zoom changed something in their https://zoom.us/download

Can you please check look into it? 

Thanks.

@karthikeyan_mac 

Yep, I have updated the script but never put the changes on GitHub, they have now been committed here https://github.com/greatkemo/jamfPro/blob/master/macOS/Scripts/install_zoom_us.sh 

The main changes are these variables:

ZOOM_PKG_NAME="ZoomInstallerIT.pkg"
ZOOM_DOWNLOAD_URL=$(curl -si "https://zoom.us/client/latest/${ZOOM_PKG_NAME}" | awk '/location: /{print $2}' | tr -d '\r')
ZOOM_LATEST_VERSION=$(perl -pe '($_)=/([0-9]+([.][0-9]+)+)/' <<< "${ZOOM_DOWNLOAD_URL}")
ZOOM_INSTALLED_VERSION=$(defaults read ${ZOOM_APP_PATH}/Contents/Info CFBundleVersion 2>/dev/null | sed -e 's/0 //g' -e 's/(//g' -e 's/)//g')

 

Hope this helps.

Kamal

 

Gonzalo
New Contributor III

I have the latest version of the script and can't get it work. Zoom is running with no meetings in progress, and the popup appears and ask if I want to update. I press update. nothing happens. Zoom is still running.
ZoominstallerIT version is installed (5.12.0).

It works if Zoom is not running. Any ideas?

RCRC74
New Contributor

I'm seeing this same thing.

karthikeyan_mac
Contributor III

Thank you @greatkemo It works.

kat1
New Contributor

Hello @greatkemo , I was testing your extension attribute and I wanted to ask why is it showing as "Yes" in the field of a user when user doesn't have zoom installed, is it any additional condition missing?